[otrs-de] apache-httpd.include.conf: Perlrequire ... --> ComilationFailed, AgentBounce

Robert Kehl robert.kehl at otrs.de
Die Mar 16 11:03:00 CET 2004


On Tuesday, March 16, 2004 9:51 AM
Maibaum, Volker <Volker.Maibaum at eberspaecher.com> wrote:
> da meine OTRS-Installation nicht sonderlich performant ist, möchte
> ich gerne
> die Performance-Stellschraube in der apache-httpd.include.conf
> ausprobieren.
> Ich habe hierzu in folgender Zeile den Kommentar entfernt:
>
> Perlrequire /opt/otrs/scripts/apache-perl-startup.pl
[...]
> [Tue Mar 16 09:39:46 2004] Format.pm: Using an array as a reference
> is deprecated at /usr/lib/perl5/site_perl/5.8.0/Date/Format.pm line
> 88.
> [Tue Mar 16 09:39:46 2004] Format.pm: Using an array as a reference
> is deprecated at /usr/lib/perl5/site_perl/5.8.0/Date/Format.pm line
> 217.
> Syntax OK failed
>
> Gibt es dazu schon ein Fix? Kann ich Apache so konfigurieren, dass er
> trotzdem startet, auch wenn
> als deprecated markierte Funktionen verwendet werden?

Dein Apache läuft schon, denke ich. Das sind lediglich Warnungen, dass
in der verwendeten Perl-Routine wer schlampig programmiert hat.

Du bist Dir sicher, dass Du nicht zufällig einen Apache2 installieren
möchtest, mit mod_perl2. Wenn wir schon von Performanz reden, dann
richtig, oder?

Fröhlich grüßt

Robert Kehl

--
((otrs.de)) :: OTRS GmbH :: Norsk-Data-Str. 1 :: 61352 Bad Homburg
         http://www.otrs.de/ :: Tel. +49 (0)6172 4832388